Tasuku
ReferenceAPI referenceOpencode

Queue model and variant discovery in a short-lived configured sandbox

POST/organizations/{organization_id}/opencode-connection/catalog-refresh

Authorization

tasuku_session<token>

In: cookie

Path Parameters

organization_id*string
Length1 <= length <= 128

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/organizations/string/opencode-connection/catalog-refresh" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": {    "auth": {      "active_version": 1,      "configured": true,      "fingerprint": "string",      "inherited": true,      "mode": "CREDENTIALS",      "provider_ids": [        "string"      ],      "source_scope": "ORGANIZATION"    },    "catalog": {      "catalog": {        "providers": [          {            "id": "string",            "models": [              {                "capabilities": {                  "attachment": true,                  "reasoning": true,                  "temperature": true,                  "tool_call": true                },                "id": "string",                "limits": {                  "context": 0,                  "output": 0                },                "name": "string",                "variants": [                  "string"                ]              }            ],            "name": "string"          }        ],        "runtime_version": "1.18.11"      },      "configuration_fingerprint": "string",      "credential_fingerprint": "string",      "error": "string",      "finished_at": "string",      "id": "string",      "last_successful_at": "string",      "organization_id": "string",      "provider_version": "string",      "repository_id": "string",      "started_at": "string",      "status": "QUEUED",      "updated_at": "string",      "workflow_run_id": "string"    },    "configuration": {      "active_version": 1,      "configured": true,      "fingerprint": "string",      "inherited": true,      "source_scope": "ORGANIZATION"    },    "organization_id": "string",    "ready": true,    "repository_id": "string"  }}